org.gradle.nativeplatform

## Interface NativeExecutableBinary

- All Superinterfaces:
    Binary, NativeBinary

      @Incubating
      public interface NativeExecutableBinary
      extends NativeBinary

  A binary artifact for a `NativeExecutable`, targeted at a particular platform with specific configuration.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getExecutableFile()` The executable file.

    - ### Methods inherited from interface org.gradle.nativeplatform.NativeBinary

      `getBuildType, getFlavor, getTargetPlatform`

    - ### Methods inherited from interface org.gradle.platform.base.Binary

      `getDisplayName`

- - ### Method Detail

    - #### getExecutableFile

          File getExecutableFile()

      The executable file.